X
Tap here to go to the mobile version of the site.

Support Forum

My email provider, google maps, etc. they all say my Mozilla browser is out of date but when I follow your instruction how to update , it say "it is up to date

Posted

am on mac 10.5.8

am on mac 10.5.8

Additional System Details

Installed Plug-ins

  • Shockwave Flash 10.3 r183
  • Picasa plugin.
  • RealPlayer Plugin
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • iPhoto6

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.5; rv:16.0) Gecko/20100101 Firefox/16.0

More Information

premm krishna shenoy 7 solutions 85 answers

You need to just download the latest Firefox from this link https://support.mozilla.org/en-US/kb/how-download-and-install-firefox-mac and check if it is installing properly.I think that might be some bug.Just sync your data with firefox sync and after installing new version sync it back.

You need to just download the latest Firefox from this link https://support.mozilla.org/en-US/kb/how-download-and-install-firefox-mac and check if it is installing properly.I think that might be some bug.Just sync your data with firefox sync and after installing new version sync it back.
James
  • Moderator
1594 solutions 11226 answers

dominikjanda said

am on mac 10.5.8

The last Firefox build to work on Mac OSX 10.5+ (with Intel) was Firefox 16.0.2 as Firefox 17.0 to current has required OSX 10.6+ at minimum.

https://www.mozilla.org/firefox/16.0.2/system-requirements/ https://www.mozilla.org/firefox/17.0/system-requirements/

If you had a PPC hardware and not Intel then there is http://www.floodgap.com/software/tenfourfox/

However since you have Intel if you can upgrade to OSX 10.6.8 you can then run current Firefox versions for a while still as I have not seen any plans to drop OSX 10.6 support.

''dominikjanda [[#question-1089380|said]]'' <blockquote> am on mac 10.5.8 </blockquote> The last Firefox build to work on Mac OSX 10.5+ (with Intel) was Firefox '''16.0.2''' as Firefox 17.0 to current has required OSX 10.'''6'''+ at minimum. https://www.mozilla.org/firefox/16.0.2/system-requirements/ https://www.mozilla.org/firefox/17.0/system-requirements/ If you had a PPC hardware and not Intel then there is http://www.floodgap.com/software/tenfourfox/ However since you have Intel if you can upgrade to OSX 10.6.8 you can then run current Firefox versions for a while still as I have not seen any plans to drop OSX 10.6 support.
cor-el
  • Top 10 Contributor
  • Moderator
17346 solutions 156811 answers
See also: * https://support.mozilla.org/kb/firefox-no-longer-works-mac-os-x-10-5